www/htmllint - The NetBSD Packages Collection

Another HTML-Lint program

Another HTML-Lint is another HTML checker written in Perl.  This package
includes individual command and CGI gateway.  Invoking htmllint without any
argument puts the usage string.

It supports various HTML versions and variants.  From usage string:

HTML1.0, HTML2.0, HTML2.x, HTML+, HTML3.0, HTML3.2, HTML4.0 Strict,
HTML4.0 Transitional, HTML4.0 Frameset, HTML4.0 Mobile, HTML4.01 Strict,
HTML4.01 Transitional, HTML4.01-frameset, XHTML1.0 Strict, XHTML1.0
Transitional, XHTML1.0 Frameset, XHTML1.1, XHTML Basic, ISO/IEC 15545,
Netscape Navigator (2.0, 3.0, 4.0), Microsoft Internet Explorer (3.0
beta, 3.0, 4.0, 5.0, 5.5), IBM WebExplorer 1.1, Compact HTML, NTT DoCoMo
iMode (1.0, 2.0), J-SkyWeb, J-SkyWeb Station, TTNet dot-i, HTML variant
for patent application in Japan

Build dependencies

pkgtools/cwrappers

Runtime dependencies

converters/p5-Jcode www/p5-libwww lang/perl5

Available binary packages

aarch64:htmllint-20111128.tgz(NetBSD 9.0)
aarch64:htmllint-20111128nb1.tgz(NetBSD 9.0)
aarch64:htmllint-20111128nb1.tgz(NetBSD 9.0)
alpha:htmllint-20111128nb1.tgz(NetBSD 9.0)
alpha:htmllint-20111128nb1.tgz(NetBSD 9.0)
earmv6hf:htmllint-20111128nb1.tgz(NetBSD 9.0)
earmv6hf:htmllint-20111128.tgz(NetBSD 9.0)
earmv6hf:htmllint-20111128nb1.tgz(NetBSD 9.0)
earmv6hf:htmllint-20111128nb1.tgz(NetBSD 9.0)
earmv7hf:htmllint-20111128nb1.tgz(NetBSD 8.0)
earmv7hf:htmllint-20111128.tgz(NetBSD 8.0)
earmv7hf:htmllint-20111128.tgz(NetBSD 8.0)
earmv7hf:htmllint-20111128nb1.tgz(NetBSD 8.0)
earmv7hf:htmllint-20111128nb1.tgz(NetBSD 9.0)
earmv7hf:htmllint-20111128.tgz(NetBSD 9.0)
earmv7hf:htmllint-20111128.tgz(NetBSD 9.0)
earmv7hf:htmllint-20111128nb1.tgz(NetBSD 9.0)
earmv7hf:htmllint-20111128nb1.tgz(NetBSD 9.0)
i386:htmllint-20111128.tgz(NetBSD 8.0)
i386:htmllint-20111128nb1.tgz(NetBSD 8.0)
i386:htmllint-20111128nb1.tgz(NetBSD 8.0)
i386:htmllint-20111128.tgz(NetBSD 9.0)
i386:htmllint-20111128nb1.tgz(NetBSD 9.0)
i386:htmllint-20111128nb1.tgz(NetBSD 9.0)
mips64eb:htmllint-20111128nb1.tgz(NetBSD 9.0)
powerpc:htmllint-20111128.tgz(NetBSD 8.0)
powerpc:htmllint-20111128nb1.tgz(NetBSD 8.0)
powerpc:htmllint-20111128nb1.tgz(NetBSD 8.0)
powerpc:htmllint-20111128nb1.tgz(NetBSD 9.0)
powerpc:htmllint-20111128.tgz(NetBSD 9.0)
sparc64:htmllint-20111128nb1.tgz(NetBSD 9.0)
sparc64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 8.0)
x86_64:htmllint-20111128.tgz(NetBSD 8.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 8.0)
x86_64:htmllint-20111128.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)
x86_64:htmllint-20111128nb1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]